Lavalite package that provides transaction management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/transaction`.

    "bixo/transaction": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Transaction\Providers\TransactionServiceProvider::class,

And also add it to alias

    'Transaction'  => Bixo\Transaction\Facades\Transaction::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\TransactionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Transaction\Providers\TransactionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Transaction\Providers\TransactionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Transaction\Providers\TransactionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transaction/{modulename}

**User**

    http://path-to-route-folder/user/transaction/{modulename}

**Public**

    http://path-to-route-folder/transactions


### API endpoints

**List**

    http://path-to-route-folder/api/user/transaction/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transaction/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transaction/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transaction/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transaction/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transaction/{modulename}/{slug}
    METHOD: GET